#!/usr/bin/perl
#
# Puts Perl line markers in a Perl program for debugging purposes.  Also takes
#  out old line markers.
#

$| = 1;
$debug = 1;

if ($ARGV[0] eq "") {
  die "You must give me a filename to process.\n";
}

$filename = $ARGV[0];

print "Processing filename: $filename\n" if $debug;

open(IN_FILE, "<$filename") or
   die "Cannot open file: $filename.\n";

open(OUT_FILE, ">$filename.marked") or
  die "Cannot open file: $filename.marked.\n";

$counter = 1;

while (<IN_FILE>) {

   if (($counter % 50) == 0) { 
      print OUT_FILE "# line $counter WDB\n"; 
      $counter++;
   }
   next if $_ =~ /^# line /;
   #if ($_ =~ /^# line /) { next; };
   print OUT_FILE $_;
   $counter++;
}

close(OUT_FILE);
close(IN_FILE);

chmod 0755, "$filename.marked";

